#include "a.hh"


/**
   \class B That is an inherited class of the father A.
 */
class B : public A {
public:
    /** \brief Some Constructor.
     */
    B();
    /** \brief Destructor.
     * I don't have anything left to do.
     */
    virtual ~B();

    
    /**
     * 	\brief Here we compute (embedded formula)  \f$d+d_2\f$.
     *	\param[in]	d2	factor \f$d_2\f$
     *	\return		That is what I spit out.
     */
    virtual double f(double d2);


    /** \brief Everybody is puzzling about what I do.
     * I will never tell.
     */
    virtual void guess();

    virtual void g(); ///< Some more function.

protected:
    double m_d; ///< That is my totally important  member.
};

